<script lang="ts">
  import '../app.pcss';
  import { page } from '$app/stores';
</script>

<header class="px-4 py-3">
  <h1 class="mb-2.5 flex items-center text-2xl font-medium">
    <svg
      class="mr-2 h-auto w-8"
      width="24"
      height="24"
      version="1.1"
      viewBox="0 0 18 18"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g transform="matrix(.17168 0 0 .17168 -60.069 -13.109)">
        <g>
          <rect x="397.67" y="79.582" width="9.274" height="10.948" fill="#6366f1" />
          <circle cx="402.31" cy="133.51" r="47.694" fill="#38bdf8" />
          <ellipse cx="402.31" cy="133.51" rx="39.444" ry="47.694" fill="#60a5fa" />
        </g>
        <circle
          transform="matrix(.1567 -.9876 .9876 .1567 207.41 509.92)"
          cx="402.31"
          cy="133.51"
          r="39.262"
          fill="#fff"
        />
        <circle
          transform="rotate(-22.328)"
          cx="321.41"
          cy="276.33"
          r="11.975"
          fill="#6366f1"
          stroke-width=".99997"
        />
        <path
          d="m416.39 129.36c-0.531-2.126-1.332-4.143-2.38-6.015l13.447-13.308c4.043 4.336 6.985 9.727 8.371 15.703z"
          fill="#38bdf8"
        />
        <path
          d="m382.81 158.58-1.548 2.133h-8e-3c-3.389-2.626-6.277-5.868-8.487-9.565 2.642 3.258 6.092 5.845 10.043 7.432z"
          fill="#38bdf8"
        />
        <path
          d="m400.46 158.99-0.293 8.841c-6.207-0.377-11.976-2.403-16.866-5.653l1.995-2.742c2.179 0.632 4.482 0.963 6.87 0.963 2.903 0 5.699-0.5 8.294-1.409z"
          fill="#38bdf8"
        />
        <path
          d="m419.8 163.12c-5.029 2.98-10.874 4.713-17.128 4.783l0.323-9.973c3.52-1.694 6.585-4.19 8.949-7.262z"
          fill="#38bdf8"
        />
        <path
          d="m433.42 148.2c-2.588 5.476-6.577 10.15-11.498 13.57l-8.425-13.346c1.409-2.311 2.457-4.867 3.057-7.594z"
          fill="#38bdf8"
        />
        <path
          d="m436.71 133.51c0 4.367-0.816 8.541-2.295 12.384l-17.436-7.617c0.108-0.932 0.162-1.879 0.162-2.842 0-1.232-0.092-2.441-0.262-3.62l19.423-3.62c0.27 1.734 0.408 3.505 0.408 5.315z"
          fill="#38bdf8"
        />
        <path
          d="m402.31 137.14c-0.977 0-1.895-0.383-2.583-1.078-0.683-0.69-1.056-1.604-1.05-2.574 5e-3 -0.971 0.388-1.881 1.077-2.564 0.684-0.678 1.592-1.051 2.555-1.051 0.978 0 1.896 0.383 2.583 1.078 0.683 0.69 1.056 1.604 1.051 2.574-5e-3 0.971-0.388 1.881-1.077 2.564-0.685 0.678-1.593 1.051-2.556 1.051z"
          fill="#fff"
        />
        <path
          d="m402.31 130.54c0.799 0 1.549 0.313 2.111 0.881 1.152 1.164 1.142 3.049-0.022 4.201-0.56 0.554-1.302 0.859-2.089 0.859-0.799 0-1.549-0.313-2.112-0.881-0.558-0.564-0.863-1.312-0.859-2.105 4e-3 -0.794 0.317-1.538 0.881-2.096 0.56-0.554 1.302-0.859 2.09-0.859m-1e-3 -1.325c-1.092 0-2.184 0.414-3.021 1.242-1.686 1.669-1.7 4.388-0.032 6.074 0.84 0.849 1.946 1.274 3.053 1.274 1.092 0 2.184-0.414 3.021-1.242 1.686-1.669 1.7-4.388 0.032-6.074-0.84-0.849-1.946-1.274-3.053-1.274z"
        />
        <path
          d="m402.3 137.14c-1.747 0-3.247-1.249-3.566-2.968-0.367-1.97 0.936-3.871 2.905-4.237 0.222-0.042 0.447-0.063 0.67-0.063 1.747 0 3.247 1.249 3.567 2.969 0.178 0.954-0.026 1.92-0.575 2.72-0.55 0.8-1.377 1.339-2.331 1.517-0.222 0.041-0.448 0.062-0.67 0.062z"
          fill="#fff"
        />
        <path
          d="m402.31 130.53c1.427 0 2.653 1.021 2.915 2.427 0.145 0.78-0.022 1.57-0.471 2.224s-1.126 1.095-1.906 1.24c-0.182 0.034-0.366 0.051-0.549 0.051-1.427 0-2.653-1.021-2.915-2.427-0.3-1.61 0.766-3.164 2.376-3.464 0.183-0.034 0.368-0.051 0.55-0.051m0-1.324c-0.261 0-0.526 0.024-0.792 0.074-2.332 0.434-3.871 2.677-3.436 5.009 0.385 2.066 2.189 3.51 4.218 3.51 0.261 0 0.526-0.024 0.792-0.073 2.332-0.434 3.871-2.677 3.436-5.009-0.385-2.068-2.189-3.512-4.218-3.511z"
        />
        <path
          d="m402.3 137.14c-0.5 0-0.988-0.103-1.451-0.305-1.836-0.802-2.677-2.948-1.875-4.784 0.578-1.324 1.886-2.18 3.331-2.18 0.5 0 0.988 0.103 1.451 0.305 0.89 0.389 1.574 1.1 1.929 2.004 0.355 0.903 0.335 1.891-0.054 2.78-0.578 1.324-1.886 2.18-3.331 2.18z"
          fill="#fff"
        />
        <path
          d="m402.31 130.53c0.408 0 0.807 0.084 1.186 0.249 1.501 0.656 2.189 2.41 1.533 3.911-0.473 1.083-1.542 1.783-2.724 1.783-0.409 0-0.808-0.084-1.187-0.249-0.727-0.318-1.287-0.899-1.577-1.638-0.289-0.739-0.274-1.546 0.043-2.273 0.474-1.083 1.544-1.783 2.726-1.783m0-1.325c-1.655 0-3.233 0.963-3.938 2.577-0.95 2.174 0.043 4.706 2.217 5.656 0.56 0.245 1.143 0.36 1.717 0.36 1.656 0 3.233-0.963 3.938-2.577 0.95-2.174-0.043-4.706-2.217-5.656-0.56-0.244-1.143-0.36-1.717-0.36z"
        />
        <path
          d="m402.31 137.14c-1.257 0-2.407-0.633-3.076-1.695-1.069-1.694-0.561-3.942 1.133-5.011 0.582-0.367 1.251-0.561 1.936-0.561 1.256 0 2.406 0.633 3.075 1.695 0.519 0.82 0.686 1.794 0.472 2.74s-0.784 1.753-1.604 2.271c-0.583 0.367-1.252 0.561-1.936 0.561z"
          fill="#fff"
        />
        <path
          d="m402.3 130.54c1.028 0 1.969 0.518 2.516 1.386 0.423 0.671 0.56 1.467 0.385 2.241s-0.641 1.433-1.312 1.857c-0.476 0.3-1.023 0.459-1.581 0.459-1.028 0-1.969-0.518-2.516-1.386-0.874-1.385-0.458-3.223 0.927-4.098 0.476-0.301 1.022-0.459 1.581-0.459m0-1.325c-0.784 0-1.577 0.214-2.288 0.663-2.006 1.266-2.606 3.919-1.34 5.925 0.817 1.295 2.211 2.004 3.637 2.004 0.784 0 1.577-0.214 2.288-0.663 2.006-1.266 2.606-3.919 1.34-5.925-0.817-1.295-2.211-2.004-3.637-2.004z"
        />
        <path
          d="m402.18 137.14c-0.97-0.032-1.869-0.44-2.532-1.148s-1.01-1.633-0.978-2.603c0.064-1.97 1.658-3.513 3.628-3.513l0.123 2e-3c0.97 0.032 1.869 0.439 2.532 1.148 0.663 0.708 1.011 1.633 0.978 2.603-0.065 1.97-1.66 3.513-3.629 3.513z"
          fill="#fff"
        />
        <path
          d="m402.3 130.54 0.1 2e-3c1.637 0.054 2.925 1.43 2.871 3.067-0.053 1.611-1.356 2.872-2.966 2.872l-0.101-2e-3c-0.793-0.026-1.528-0.36-2.071-0.939s-0.826-1.335-0.8-2.128c0.053-1.61 1.356-2.872 2.967-2.872m-1e-3 -1.325c-2.306 0-4.214 1.831-4.29 4.153-0.078 2.371 1.78 4.357 4.151 4.435 0.049 2e-3 0.096 2e-3 0.145 2e-3 2.306 0 4.214-1.831 4.29-4.154 0.078-2.371-1.78-4.356-4.151-4.435-0.049 0-0.097-1e-3 -0.145-1e-3z"
        />
        <polygon
          points="401.86 135.62 401.94 133.21 403.2 133.25 403.18 133.44 403.12 135.49 402.58 134.63"
          fill="#fff"
        />
        <polygon
          points="403.86 133.08 403.88 132.61 403.56 132.6 402.63 132.57 402.62 132.57 402.04 132.55 401.73 132.54 401.69 132.54 401.3 132.53 401.29 133.03 401.29 133.03 401.28 133.16 401.28 133.19 401.27 133.51 401.26 133.78 401.26 133.79 401.25 134.16 401.13 137.74 402.54 135.81 403.71 137.67 403.79 135.28 403.82 134.28 403.83 134.03 403.85 133.46 403.86 133.43"
        />
        <path
          d="m402.3 137.14c-0.771 0-1.509-0.241-2.134-0.696-0.785-0.571-1.301-1.414-1.451-2.372-0.151-0.959 0.08-1.919 0.65-2.703 0.682-0.937 1.781-1.496 2.941-1.496 0.77 0 1.509 0.241 2.135 0.696 1.619 1.178 1.978 3.455 0.799 5.075-0.68 0.937-1.78 1.496-2.94 1.496z"
          fill="#fff"
        />
        <path
          d="m402.31 130.54c0.629 0 1.233 0.197 1.744 0.569 1.324 0.964 1.618 2.825 0.654 4.15-0.557 0.766-1.457 1.223-2.405 1.223-0.63 0-1.233-0.197-1.744-0.569-0.642-0.467-1.063-1.156-1.186-1.939-0.124-0.784 0.065-1.569 0.532-2.21 0.557-0.767 1.456-1.224 2.405-1.224m0-1.325c-1.327 0-2.636 0.613-3.477 1.768-1.396 1.918-0.972 4.605 0.946 6.001 0.763 0.555 1.647 0.822 2.524 0.822 1.327 0 2.636-0.613 3.477-1.768 1.396-1.918 0.972-4.605-0.946-6.001-0.763-0.555-1.648-0.822-2.524-0.822z"
        />
        <polygon
          points="401.97 133.57 401.88 133.47 401.94 133.38 401.94 133.38 402.17 133.06 402.4 133.23 402.41 133.23 403.18 133.8 402.73 134.42 402.59 134.6 401.88 135.59 401.88 135.59 401.86 135.62 401.92 133.73 401.9 133.73"
          fill="#fff"
        />
        <polygon
          points="403.13 134.99 403.14 134.99 403.63 134.31 403.63 134.31 403.83 134.03 404.11 133.65 403.85 133.46 403.83 133.45 402.63 132.57 402.62 132.57 402.35 132.36 402.03 132.13 401.73 132.54 401.63 132.67 401.63 132.69 401.45 132.92 401.44 132.93 401.28 133.16 401.28 133.17 401.06 133.46 401.01 133.53 401.01 133.54 401.18 133.71 401.03 134.07 401.25 134.16 401.13 137.74 402.54 135.81 402.54 135.8"
        />
        <path
          d="m402.31 134.07c-1.387 0-2.512-1.125-2.512-2.512v-30.011c0-1.387 1.125-2.512 2.512-2.512s2.512 1.124 2.512 2.512v30.011c0 1.387-1.125 2.512-2.512 2.512z"
          fill="#0c4a6e"
        />
        <path
          d="m401.91 133.11c0.981-0.981 2.571-0.981 3.552 0l18.489 18.489c0.981 0.981 0.981 2.571 0 3.552s-2.571 0.981-3.552 0l-18.489-18.489c-0.981-0.981-0.981-2.572 0-3.552z"
          fill="#0c4a6e"
        />
        <circle cx="402.31" cy="133.51" r="5.712" fill="#19426e" />
        <path
          d="m404.83 133.51c0 1.396-1.132 2.527-2.527 2.527-1.396 0-2.527-1.132-2.527-2.527 0-1.396 1.132-2.527 2.527-2.527 1.395-1e-3 2.527 1.131 2.527 2.527z"
          fill="#fff"
        />
        <path
          d="m407.97 82.55h-11.581c-1.71 0-3.097-1.387-3.097-3.097 0-1.711 1.387-3.097 3.097-3.097h11.581c1.711 0 3.097 1.387 3.097 3.097 0 1.711-1.387 3.097-3.097 3.097z"
          fill="#38bdf8"
        />
        <circle cx="402.31" cy="133.51" r="5.712" fill="#0c4a6e" />
      </g>
    </svg>
    <a href="/">Historical data visualizer</a>
  </h1>

  <div class="border-b border-gray-200">
    <ul class="-mb-px ms-2 flex flex-wrap text-center text-sm font-medium" role="tablist">
      <li class="me-2" role="presentation">
        <a
          class={`border-gray-200px-4 inline-block rounded-t-lg border px-4 py-2.5 ${$page.url.pathname === '/' ? 'border-b-white text-blue-700' : 'text-gray-600 hover:border-gray-300 hover:text-gray-800'}`}
          href="/"
          role="tab"
          aria-selected={$page.url.pathname === '/'}>Weergave</a
        >
      </li>
      <li class="me-2" role="presentation">
        <a
          class={`border-gray-200px-4 inline-block rounded-t-lg border px-4 py-2.5 ${$page.url.pathname === '/input' ? 'border-b-white text-blue-700' : 'text-gray-600 hover:border-gray-300 hover:text-gray-800'}`}
          href="/input"
          role="tab"
          aria-selected={$page.url.pathname === '/input'}>Invoer</a
        >
      </li>
    </ul>
  </div>
</header>

<slot />
